## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         reponame    oci-python-sdk
%global         srcname     oci

Name:           python-%{srcname}
Version:        2.105.0
Release:        %autorelease
Summary:        Oracle Cloud Infrastructure SDK for Python

License:        UPL-1.0
URL:            https://github.com/oracle/oci-python-sdk
Source0:        %{url}/archive/v%{version}/%{reponame}-%{version}.tar.gz

# Upstream tries to import a non-existent 'vcr_mods' module.
# https://github.com/oracle/oci-python-sdk/pull/253
Patch0:         https://patch-diff.githubusercontent.com/raw/oracle/oci-python-sdk/pull/253.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(vcrpy)
%endif

%global _description %{expand:
This is the Python SDK for Oracle Cloud Infrastructure. }

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{reponame}-%{version} -p1

# Remove upper version limit on cryptography.
sed -i 's/cryptography>=3.2.1,<40.0.0/cryptography>=3.2.1/' setup.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pyproject_check_import

%if %{with tests}
%pytest tests/autogentest tests/unit tests/integ
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt THIRD_PARTY_LICENSES.txt THIRD_PARTY_LICENSES_DEV.txt
%doc CHANGELOG.rst CONTRIBUTING.rst README.rst README-development.rst


%changelog
* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 2.105.0-3
- Add packit file

* Sat Jul 01 2023 Python Maint <python-maint@redhat.com> - 2.105.0-2
- Rebuilt for Python 3.12

* Wed Jun 28 2023 Major Hayden <major@redhat.com> - 2.105.0-1
- Update to 2.105.0 rhbz#2216390

* Fri Jun 16 2023 Major Hayden <major@redhat.com> - 2.104.2-1
- Update to 2.104.2 rhbz#2214950

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 2.104.1-1
- Update to 2.104.1 rhbz#2213344

* Tue May 30 2023 Major Hayden <major@redhat.com> - 2.104.0-1
- Update to 2.104.0 rhbz#2211216

* Tue May 23 2023 Major Hayden <major@redhat.com> - 2.103.0-1
- Update to 2.103.0 rhbz#2209390

* Mon May 22 2023 Major Hayden <major@redhat.com> - 2.102.0-2
- Remove cryptography upper limit

* Tue May 16 2023 Major Hayden <major@redhat.com> - 2.102.0-1
- Update to 2.102.0

* Thu May 11 2023 Major Hayden <major@redhat.com> - 2.101.0-1
- Initial import rhbz#2190312
